database_api.list_votes
Purpose
Devuelve todos los votos (vote), empezando por el votante y/o el autor y permlink especificados. Parámetros: start:array; limit:int; order:string
startdepende deorder(ver más abajo)voteres opcionalauthorypermlinkson opcionales, pero si uno está en blanco, ambos deben estarlo
limites hasta 1000.orderpuede ser uno de:by_comment_voter- ordenar por votante del comentariostartes un array de tres valores opcionales:author,permlink,voter
by_voter_comment- ordenar por comentario del votantestartes un array de tres valores opcionales:voter,author,permlink
| start (array) | limit (int) | order (string) | | |----------------------------|---------------|-| | ["", "", ""] | 10 | "by_comment_voter" | Consulta los primeros 10 votos, ordenados por votante del comentario | | ["", "", ""] | 10 | "by_voter_comment" | Consulta los primeros 10 votos, ordenados por comentario del votante | | ["xeroc", "vanteem-config", ""] | 10 | "by_comment_voter" | Consulta los siguientes 10 votos empezando en el post @xeroc/vanteem-config, ordenados por votante del comentario | | ["alice", "xeroc", "vanteem-config"] | 10 | "by_voter_comment" | Consulta los siguientes 10 votos empezando por alice en el post @xeroc/vanteem-config, ordenados por comentario del votante |
Véase también: Paginated API Methods
Parameters
{
"start": [
"",
"",
""
],
"limit": 10,
"order": "by_comment_voter"
}Example
Example 1
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_votes",
"params": {
"start": [
"",
"",
""
],
"limit": 10,
"order": "by_comment_voter"
},
"id": 1
}'Example 2
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_votes",
"params": {
"start": [
"",
"",
""
],
"limit": 10,
"order": "by_voter_comment"
},
"id": 1
}'Example 3
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_votes",
"params": {
"start": [
"",
"",
"steemit"
],
"limit": 10,
"order": "by_comment_voter"
},
"id": 1
}'Example 4
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_votes",
"params": {
"start": [
"alice",
"xeroc",
"vanteem-config"
],
"limit": 10,
"order": "by_voter_comment"
},
"id": 1
}'Response
{
"votes": [
{
"id": 9,
"voter": "dantheman",
"author": "steemit",
"permlink": "firstpost",
"weight": "32866333630",
"rshares": 375241,
"vote_percent": 100,
"last_update": "2016-04-07T19:15:36",
"num_changes": -1
}
]
}